Subject: Re: linux-next: manual merge of the usb tree with the drm-intel-fixes tree

From: John Harrison <[email-masked]>
Date: Tue, 31 Jan 2023 10:27:29 -0800

On 1/31/2023 04:44, Andy Shevchenko wrote:
> On Tue, Jan 31, 2023 at 01:03:05PM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the usb tree got a conflict in:
>>
>>    drivers/gpu/drm/i915/gt/intel_engine_cs.c
>>
>> between commit:
>>
>>    5bc4b43d5c6c ("drm/i915: Fix up locking around dumping requests lists")
>>
>> from the drm-intel-fixes tree and commit:
>>
>>    4d70c74659d9 ("i915: Move list_count() to list.h as list_count_nodes() for broader use")
>>
>> from the usb tree.
>>
>> I fixed it up (the former removed the code changed by the latter)
> Hmm... Currently I see that [email-masked]
> moves the code to the drivers/gpu/drm/i915/gt/intel_execlists_submission.c.
>
> Is there any new series beside the above mentioned that touches that file and
> actually _removes_ that code?
As long as the removal is limited to list_count/list_count_nodes, that's 
fine. I only moved it from one file to another because the one and only 
function that was using it was being moved to the other file. If someone 
else has found a use for the same and wants to move it to a more common 
place then great. I assume there was no conflict happening in the i915 
specific code.

John.

>
>> 	and
>> can carry the fix as necessary. This is now fixed as far as linux-next
>> is concerned, but any non trivial conflicts should be mentioned to your
>> upstream maintainer when your tree is submitted for merging.  You may
>> also want to consider cooperating with the maintainer of the conflicting
>> tree to minimise any particularly complex conflicts.